.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #09d3ac;
}

.vertical-whitespace {
  height: 50px;
}

.space-top {
  margin-top: 10px;
}

.space-bottom {
  margin-bottom: 10px;
}

.entity {
  margin: 5px;
  padding: 5px 0 5px 5px;
  border-radius: 5px;
  font-weight: bold;
  font-size: 20px;
}

.ner-char {
  padding-top: 10px;
  padding-bottom: 10px;
}

.entity>.tag {
  background-color: white;
  border-radius: 5px;
  padding: 1px 2px;
  margin: 1px 2px;
  font-size: 10px;
}

.toggle-container {
  display: flex;
}

.switch-label {
  margin-top: 1px;
  margin-left: 5px;
}

.entities-list {
  margin-bottom: 20px;
}

.entities-sentences {
  border: 1px solid lightgray;
  border-radius: 5px;
  padding: 10px;
}

.srl-container {
  height: 300px;
}

.verb-container {
  display: flex;
  flex-direction: row;
  padding: 5px;
}

.verb-container>.srl-arg {
  display: flex;
  margin: 5px;
  padding: 5px;
  background-color: #43a2f7;
  border-radius: 5px;
  color: white;
}

.verb-visual {
  margin: 5px 10px;
  background-color: #ff5a5a;
  border-radius: 5px;
  color: white;
  padding: 5px;
}

.srl-arg p {
  white-space: nowrap;
  margin: 0;
}

.srl-arg p span, .verb-visual span {
  background-color: white;
  border-radius: 5px;
  padding: 3px;
  color: #2390f3;
}

.srl-verb-analysis-container {
  border: 1px solid #828282;
  margin-bottom: 10px;
  border-radius: 5px;
}


.srl-arg-container {
  display: flex;
  flex-direction: column;
  border: 1px solid lightgray;
  border-radius: 5px;
}

.srl-arg-container .srl-arg-data {
  text-align: center;
  padding: 5px;
}

.srl-arg-container .srl-arg-arg {
  text-align: center;
  padding: 5px;
  border-top: 1px solid lightgray;
  background-color: #3DB0FC;
  color: white;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.srl-arg-container > .arg-verb {
  background-color: #f55951!important;
}

.args-float-container {
  width: 600px;
  height: 100px; 
  overflow-x: scroll;
  overflow-y: hidden;
}

.args-float-inner {
  height: 100%;
  white-space:nowrap; 
}

.srl-data-container {
  display: inline-block;
  margin-left: 5px;
}

.canvas-container {
  border: 1px solid lightgray;
}